Subject: Re: [PATCH 2/6] ARM: xen: Register with kernel restart handler

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 3 Jun 2021 14:45:36 +0100

On Thu, Jun 03, 2021 at 06:11:24AM -0700, Guenter Roeck wrote:
> On Thu, Jun 03, 2021 at 01:43:36PM +0100, Lee Jones wrote:
> > On Tue, 15 Oct 2019 at 15:52, Thierry Reding <[email-masked]>
> > wrote:
> > 
> > > From: Guenter Roeck <[email-masked]>
> > >
> > > Register with kernel restart handler instead of setting arm_pm_restart
> > > directly.
> > >
> > > Select a high priority of 192 to ensure that default restart handlers
> > > are replaced if Xen is running.
> > >
> > > Acked-by: Arnd Bergmann <[email-masked]>
> > > Reviewed-by: Wolfram Sang <[email-masked]>
> > > Reviewed-by: Stefano Stabellini <[email-masked]>
> > > Signed-off-by: Guenter Roeck <[email-masked]>
> > > Signed-off-by: Thierry Reding <[email-masked]>
> > > ---
> > >  arch/arm/xen/enlighten.c | 12 ++++++++++--
> > >  1 file changed, 10 insertions(+), 2 deletions(-)
> > >
> > 
> > This patch does appear to be useful.
> > 
> > Is this just being solved in downstream trees at the moment?
> > 
> > It would be nice if we could relinquish people of this burden and get it
> > into Mainline finally.
> > 
> 
> There must have been half a dozen attempts to send this patch series
> upstream. I have tried, and others have tried. Each attempt failed with
> someone else objecting for non-technical reasons (such as "we need more
> reviews") or no reaction at all, and maintainers just don't pick it up.
> 
> So, yes, this patch series can only be found in downstream trees,
> and it seems pointless to submit it yet again.

It has plenty of reviews and acks, so that's not the problem. If you
look back at the 2019 attempt:

1) there was a pull request sent on the 2 October 2019 to the arm soc
   guys to merge a series that quite obviously is outside of their
   remit as it touches mostly ARM core code - it should have been
   sent to me but wasn't, not even as a Cc.

2) I raised that issue, and as I could find no trace of the patches,
   I asked for the to be posted - which they were, eventually, two
   weeks later. It looks like I completely missed the patches amongst
   all the other email I don't bother to read anymore though. In any
   case, the pull request by that time would have been completely
   forgotten about.

And that's where it ended - no apparent follow-ups until now.

*Shrug*.

So in summary, I was expected to notice the patches amongst all the
other email, and then remember that there was a pull request that
wasn't even addressed to me...

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel